Package org.eclipse.emf.cdo.server.db.evolution.phased

# Class ISchemaMigration.SchemaMigrationNotSupportedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.emf.cdo.common.util.CDOException
org.eclipse.emf.cdo.server.db.evolution.phased.ISchemaMigration.SchemaMigrationNotSupportedException

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  `ISchemaMigration`

public static final class ISchemaMigration.SchemaMigrationNotSupportedException extends CDOException
Indicates whether the mapping strategy supports schema migration.

Author:
  Eike Stepper
See Also:
  - Serialized Form
No Implement
  This package is currently considered provisional.
No Extend
  This package is currently considered provisional.
No Reference
  This package is currently considered provisional.

## Constructor Summary

Constructors
Constructor
Description
`SchemaMigrationNotSupportedException()`
Constructs a SchemaMigrationNotSupportedException.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SchemaMigrationNotSupportedException

public SchemaMigrationNotSupportedException()
Constructs a SchemaMigrationNotSupportedException.